diff --git a/config/rootfiles/common/pcre b/config/rootfiles/common/pcre
index 8e9f22ac4..6db5724fa 100644
--- a/config/rootfiles/common/pcre
+++ b/config/rootfiles/common/pcre
@@ -10,15 +10,15 @@
 #usr/lib/libpcre.la
 usr/lib/libpcre.so
 usr/lib/libpcre.so.1
-usr/lib/libpcre.so.1.2.10
+usr/lib/libpcre.so.1.2.11
 #usr/lib/libpcre16.la
 usr/lib/libpcre16.so
 usr/lib/libpcre16.so.0
-usr/lib/libpcre16.so.0.2.10
+usr/lib/libpcre16.so.0.2.11
 #usr/lib/libpcre32.la
 usr/lib/libpcre32.so
 usr/lib/libpcre32.so.0
-usr/lib/libpcre32.so.0.0.10
+usr/lib/libpcre32.so.0.0.11
 #usr/lib/libpcrecpp.la
 usr/lib/libpcrecpp.so
 usr/lib/libpcrecpp.so.0
@@ -32,72 +32,72 @@ usr/lib/libpcreposix.so.0.0.6
 #usr/lib/pkgconfig/libpcre32.pc
 #usr/lib/pkgconfig/libpcrecpp.pc
 #usr/lib/pkgconfig/libpcreposix.pc
-#usr/share/doc/pcre-pcre-8.42
-#usr/share/doc/pcre-pcre-8.42/AUTHORS
-#usr/share/doc/pcre-pcre-8.42/COPYING
-#usr/share/doc/pcre-pcre-8.42/ChangeLog
-#usr/share/doc/pcre-pcre-8.42/LICENCE
-#usr/share/doc/pcre-pcre-8.42/NEWS
-#usr/share/doc/pcre-pcre-8.42/README
-#usr/share/doc/pcre-pcre-8.42/html
-#usr/share/doc/pcre-pcre-8.42/html/NON-AUTOTOOLS-BUILD.txt
-#usr/share/doc/pcre-pcre-8.42/html/README.txt
-#usr/share/doc/pcre-pcre-8.42/html/index.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre-config.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre16.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre32.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_assign_jit_stack.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_compile.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_compile2.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_config.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_copy_named_substring.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_copy_substring.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_dfa_exec.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_exec.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_free_study.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_free_substring.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_free_substring_list.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_fullinfo.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_get_named_substring.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_get_stringnumber.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_get_stringtable_entries.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_get_substring.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_get_substring_list.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_jit_exec.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_jit_stack_alloc.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_jit_stack_free.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_maketables.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_pattern_to_host_byte_order.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_refcount.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_study.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_utf16_to_host_byte_order.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_utf32_to_host_byte_order.html
-#usr/share/doc/pcre-pcre-8.42/html/pcre_version.html
-#usr/share/doc/pcre-pcre-8.42/html/pcreapi.html
-#usr/share/doc/pcre-pcre-8.42/html/pcrebuild.html
-#usr/share/doc/pcre-pcre-8.42/html/pcrecallout.html
-#usr/share/doc/pcre-pcre-8.42/html/pcrecompat.html
-#usr/share/doc/pcre-pcre-8.42/html/pcrecpp.html
-#usr/share/doc/pcre-pcre-8.42/html/pcredemo.html
-#usr/share/doc/pcre-pcre-8.42/html/pcregrep.html
-#usr/share/doc/pcre-pcre-8.42/html/pcrejit.html
-#usr/share/doc/pcre-pcre-8.42/html/pcrelimits.html
-#usr/share/doc/pcre-pcre-8.42/html/pcrematching.html
-#usr/share/doc/pcre-pcre-8.42/html/pcrepartial.html
-#usr/share/doc/pcre-pcre-8.42/html/pcrepattern.html
-#usr/share/doc/pcre-pcre-8.42/html/pcreperform.html
-#usr/share/doc/pcre-pcre-8.42/html/pcreposix.html
-#usr/share/doc/pcre-pcre-8.42/html/pcreprecompile.html
-#usr/share/doc/pcre-pcre-8.42/html/pcresample.html
-#usr/share/doc/pcre-pcre-8.42/html/pcrestack.html
-#usr/share/doc/pcre-pcre-8.42/html/pcresyntax.html
-#usr/share/doc/pcre-pcre-8.42/html/pcretest.html
-#usr/share/doc/pcre-pcre-8.42/html/pcreunicode.html
-#usr/share/doc/pcre-pcre-8.42/pcre-config.txt
-#usr/share/doc/pcre-pcre-8.42/pcre.txt
-#usr/share/doc/pcre-pcre-8.42/pcregrep.txt
-#usr/share/doc/pcre-pcre-8.42/pcretest.txt
+#usr/share/doc/pcre-pcre-8.43
+#usr/share/doc/pcre-pcre-8.43/AUTHORS
+#usr/share/doc/pcre-pcre-8.43/COPYING
+#usr/share/doc/pcre-pcre-8.43/ChangeLog
+#usr/share/doc/pcre-pcre-8.43/LICENCE
+#usr/share/doc/pcre-pcre-8.43/NEWS
+#usr/share/doc/pcre-pcre-8.43/README
+#usr/share/doc/pcre-pcre-8.43/html
+#usr/share/doc/pcre-pcre-8.43/html/NON-AUTOTOOLS-BUILD.txt
+#usr/share/doc/pcre-pcre-8.43/html/README.txt
+#usr/share/doc/pcre-pcre-8.43/html/index.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre-config.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre16.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre32.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_assign_jit_stack.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_compile.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_compile2.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_config.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_copy_named_substring.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_copy_substring.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_dfa_exec.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_exec.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_free_study.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_free_substring.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_free_substring_list.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_fullinfo.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_get_named_substring.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_get_stringnumber.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_get_stringtable_entries.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_get_substring.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_get_substring_list.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_jit_exec.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_jit_stack_alloc.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_jit_stack_free.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_maketables.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_pattern_to_host_byte_order.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_refcount.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_study.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_utf16_to_host_byte_order.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_utf32_to_host_byte_order.html
+#usr/share/doc/pcre-pcre-8.43/html/pcre_version.html
+#usr/share/doc/pcre-pcre-8.43/html/pcreapi.html
+#usr/share/doc/pcre-pcre-8.43/html/pcrebuild.html
+#usr/share/doc/pcre-pcre-8.43/html/pcrecallout.html
+#usr/share/doc/pcre-pcre-8.43/html/pcrecompat.html
+#usr/share/doc/pcre-pcre-8.43/html/pcrecpp.html
+#usr/share/doc/pcre-pcre-8.43/html/pcredemo.html
+#usr/share/doc/pcre-pcre-8.43/html/pcregrep.html
+#usr/share/doc/pcre-pcre-8.43/html/pcrejit.html
+#usr/share/doc/pcre-pcre-8.43/html/pcrelimits.html
+#usr/share/doc/pcre-pcre-8.43/html/pcrematching.html
+#usr/share/doc/pcre-pcre-8.43/html/pcrepartial.html
+#usr/share/doc/pcre-pcre-8.43/html/pcrepattern.html
+#usr/share/doc/pcre-pcre-8.43/html/pcreperform.html
+#usr/share/doc/pcre-pcre-8.43/html/pcreposix.html
+#usr/share/doc/pcre-pcre-8.43/html/pcreprecompile.html
+#usr/share/doc/pcre-pcre-8.43/html/pcresample.html
+#usr/share/doc/pcre-pcre-8.43/html/pcrestack.html
+#usr/share/doc/pcre-pcre-8.43/html/pcresyntax.html
+#usr/share/doc/pcre-pcre-8.43/html/pcretest.html
+#usr/share/doc/pcre-pcre-8.43/html/pcreunicode.html
+#usr/share/doc/pcre-pcre-8.43/pcre-config.txt
+#usr/share/doc/pcre-pcre-8.43/pcre.txt
+#usr/share/doc/pcre-pcre-8.43/pcregrep.txt
+#usr/share/doc/pcre-pcre-8.43/pcretest.txt
 #usr/share/man/man1/pcre-config.1
 #usr/share/man/man1/pcregrep.1
 #usr/share/man/man1/pcretest.1
diff --git a/lfs/pcre b/lfs/pcre
index dc6621f1c..85dc1bc8d 100644
--- a/lfs/pcre
+++ b/lfs/pcre
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
+# Copyright (C) 2007-2019  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 8.42
+VER        = 8.43
 
 THISAPP    = pcre-$(VER)
 DL_FILE    = $(THISAPP).tar.bz2
@@ -40,7 +40,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 085b6aa253e0f91cae70b3cdbe8c1ac2
+$(DL_FILE)_MD5 = 636222e79e392c3d95dcc545f24f98c4
 
 install : $(TARGET)
 