diff --git a/config/rootfiles/common/libssh b/config/rootfiles/common/libssh
new file mode 100644
index 000000000..a454f07fb
--- /dev/null
+++ b/config/rootfiles/common/libssh
@@ -0,0 +1,15 @@
+#usr/include/libssh
+#usr/include/libssh/callbacks.h
+#usr/include/libssh/legacy.h
+#usr/include/libssh/libssh.h
+#usr/include/libssh/libsshpp.hpp
+#usr/include/libssh/server.h
+#usr/include/libssh/sftp.h
+#usr/include/libssh/ssh2.h
+#usr/lib/cmake/libssh
+#usr/lib/cmake/libssh/libssh-config-version.cmake
+#usr/lib/cmake/libssh/libssh-config.cmake
+#usr/lib/libssh.so
+usr/lib/libssh.so.4
+usr/lib/libssh.so.4.8.1
+#usr/lib/pkgconfig/libssh.pc
diff --git a/lfs/libssh b/lfs/libssh
new file mode 100644
index 000000000..d8edca234
--- /dev/null
+++ b/lfs/libssh
@@ -0,0 +1,79 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 0.9.0
+
+THISAPP    = libssh-$(VER)
+DL_FILE    = $(THISAPP).tar.xz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_MD5 = d2334521d83fe20309ed43a62321e7c2
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+md5 : $(subst %,%_MD5,$(objects))
+
+###############################################################################
+# Downloading, checking, md5sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_MD5,$(objects)) :
+	@$(MD5)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar axf $(DIR_DL)/$(DL_FILE)
+	-mkdir -pv $(DIR_APP)/build
+	cd $(DIR_APP)/build && cmake .. \
+		-DCMAKE_INSTALL_PREFIX=/usr
+	cd $(DIR_APP)/build && make $(MAKETUNING)
+	cd $(DIR_APP)/build && make install
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)
diff --git a/make.sh b/make.sh
index 30718c587..a87d33223 100755
--- a/make.sh
+++ b/make.sh
@@ -1260,6 +1260,7 @@ buildipfire() {
   lfsmake2 beep
   lfsmake2 libarchive
   lfsmake2 cmake
+  lfsmake2 libssh
   lfsmake2 cdrkit
   lfsmake2 dosfstools
   lfsmake2 reiserfsprogs