diff --git a/config/rootfiles/common/openssl b/config/rootfiles/common/openssl
index d81f7c6e1..a90a7beea 100644
--- a/config/rootfiles/common/openssl
+++ b/config/rootfiles/common/openssl
@@ -788,6 +788,7 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man3/CRYPTO_memcmp.html
 #usr/share/doc/openssl/html/man3/CRYPTO_new_ex_data.html
 #usr/share/doc/openssl/html/man3/CRYPTO_realloc.html
+#usr/share/doc/openssl/html/man3/CRYPTO_secure_allocated.html
 #usr/share/doc/openssl/html/man3/CRYPTO_secure_clear_free.html
 #usr/share/doc/openssl/html/man3/CRYPTO_secure_free.html
 #usr/share/doc/openssl/html/man3/CRYPTO_secure_malloc.html
@@ -1361,6 +1362,7 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man3/EVP_DecryptInit.html
 #usr/share/doc/openssl/html/man3/EVP_DecryptInit_ex.html
 #usr/share/doc/openssl/html/man3/EVP_DecryptUpdate.html
+#usr/share/doc/openssl/html/man3/EVP_Digest.html
 #usr/share/doc/openssl/html/man3/EVP_DigestFinal.html
 #usr/share/doc/openssl/html/man3/EVP_DigestFinalXOF.html
 #usr/share/doc/openssl/html/man3/EVP_DigestFinal_ex.html
@@ -1397,13 +1399,17 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man3/EVP_MD_CTX_md.html
 #usr/share/doc/openssl/html/man3/EVP_MD_CTX_md_data.html
 #usr/share/doc/openssl/html/man3/EVP_MD_CTX_new.html
+#usr/share/doc/openssl/html/man3/EVP_MD_CTX_pkey_ctx.html
 #usr/share/doc/openssl/html/man3/EVP_MD_CTX_reset.html
 #usr/share/doc/openssl/html/man3/EVP_MD_CTX_set_flags.html
 #usr/share/doc/openssl/html/man3/EVP_MD_CTX_set_pkey_ctx.html
+#usr/share/doc/openssl/html/man3/EVP_MD_CTX_set_update_fn.html
 #usr/share/doc/openssl/html/man3/EVP_MD_CTX_size.html
 #usr/share/doc/openssl/html/man3/EVP_MD_CTX_test_flags.html
 #usr/share/doc/openssl/html/man3/EVP_MD_CTX_type.html
+#usr/share/doc/openssl/html/man3/EVP_MD_CTX_update_fn.html
 #usr/share/doc/openssl/html/man3/EVP_MD_block_size.html
+#usr/share/doc/openssl/html/man3/EVP_MD_flags.html
 #usr/share/doc/openssl/html/man3/EVP_MD_meth_dup.html
 #usr/share/doc/openssl/html/man3/EVP_MD_meth_free.html
 #usr/share/doc/openssl/html/man3/EVP_MD_meth_get_app_datasize.html
@@ -1490,6 +1496,8 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man3/EVP_PKEY_CTX_set_dh_rfc5114.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_CTX_set_dhx_rfc5114.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_CTX_set_dsa_paramgen_bits.html
+#usr/share/doc/openssl/html/man3/EVP_PKEY_CTX_set_dsa_paramgen_md.html
+#usr/share/doc/openssl/html/man3/EVP_PKEY_CTX_set_dsa_paramgen_q_bits.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_CTX_set_ec_param_enc.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_CTX_set_ec_paramgen_curve_nid.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_CTX_set_ecdh_cofactor_mode.html
@@ -1547,6 +1555,7 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man3/EVP_PKEY_assign_RSA.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_assign_SIPHASH.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_base_id.html
+#usr/share/doc/openssl/html/man3/EVP_PKEY_bits.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_check.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_cmp.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_cmp_parameters.html
@@ -1593,6 +1602,8 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man3/EVP_PKEY_meth_get_decrypt.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_meth_get_derive.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_meth_get_digest_custom.html
+#usr/share/doc/openssl/html/man3/EVP_PKEY_meth_get_digestsign.html
+#usr/share/doc/openssl/html/man3/EVP_PKEY_meth_get_digestverify.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_meth_get_encrypt.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_meth_get_init.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_meth_get_keygen.html
@@ -1613,6 +1624,8 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man3/EVP_PKEY_meth_set_decrypt.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_meth_set_derive.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_meth_set_digest_custom.html
+#usr/share/doc/openssl/html/man3/EVP_PKEY_meth_set_digestsign.html
+#usr/share/doc/openssl/html/man3/EVP_PKEY_meth_set_digestverify.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_meth_set_encrypt.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_meth_set_init.html
 #usr/share/doc/openssl/html/man3/EVP_PKEY_meth_set_keygen.html
@@ -2210,6 +2223,7 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man3/PEM_read_bio_PKCS8.html
 #usr/share/doc/openssl/html/man3/PEM_read_bio_PKCS8_PRIV_KEY_INFO.html
 #usr/share/doc/openssl/html/man3/PEM_read_bio_PUBKEY.html
+#usr/share/doc/openssl/html/man3/PEM_read_bio_Parameters.html
 #usr/share/doc/openssl/html/man3/PEM_read_bio_PrivateKey.html
 #usr/share/doc/openssl/html/man3/PEM_read_bio_RSAPrivateKey.html
 #usr/share/doc/openssl/html/man3/PEM_read_bio_RSAPublicKey.html
@@ -2266,6 +2280,7 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man3/PEM_write_bio_PKCS8PrivateKey_nid.html
 #usr/share/doc/openssl/html/man3/PEM_write_bio_PKCS8_PRIV_KEY_INFO.html
 #usr/share/doc/openssl/html/man3/PEM_write_bio_PUBKEY.html
+#usr/share/doc/openssl/html/man3/PEM_write_bio_Parameters.html
 #usr/share/doc/openssl/html/man3/PEM_write_bio_PrivateKey.html
 #usr/share/doc/openssl/html/man3/PEM_write_bio_PrivateKey_traditional.html
 #usr/share/doc/openssl/html/man3/PEM_write_bio_RSAPrivateKey.html
@@ -2432,6 +2447,7 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man3/RSA_get0_multi_prime_factors.html
 #usr/share/doc/openssl/html/man3/RSA_get0_n.html
 #usr/share/doc/openssl/html/man3/RSA_get0_p.html
+#usr/share/doc/openssl/html/man3/RSA_get0_pss_params.html
 #usr/share/doc/openssl/html/man3/RSA_get0_q.html
 #usr/share/doc/openssl/html/man3/RSA_get_default_method.html
 #usr/share/doc/openssl/html/man3/RSA_get_ex_data.html
@@ -2712,6 +2728,8 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man3/SSL_CTX_set_client_CA_list.html
 #usr/share/doc/openssl/html/man3/SSL_CTX_set_client_cert_cb.html
 #usr/share/doc/openssl/html/man3/SSL_CTX_set_client_hello_cb.html
+#usr/share/doc/openssl/html/man3/SSL_CTX_set_cookie_generate_cb.html
+#usr/share/doc/openssl/html/man3/SSL_CTX_set_cookie_verify_cb.html
 #usr/share/doc/openssl/html/man3/SSL_CTX_set_ct_validation_callback.html
 #usr/share/doc/openssl/html/man3/SSL_CTX_set_ctlog_list_file.html
 #usr/share/doc/openssl/html/man3/SSL_CTX_set_current_cert.html
@@ -2831,6 +2849,8 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man3/SSL_add1_host.html
 #usr/share/doc/openssl/html/man3/SSL_add1_to_CA_list.html
 #usr/share/doc/openssl/html/man3/SSL_add_client_CA.html
+#usr/share/doc/openssl/html/man3/SSL_add_dir_cert_subjects_to_stack.html
+#usr/share/doc/openssl/html/man3/SSL_add_file_cert_subjects_to_stack.html
 #usr/share/doc/openssl/html/man3/SSL_alert_desc_string.html
 #usr/share/doc/openssl/html/man3/SSL_alert_desc_string_long.html
 #usr/share/doc/openssl/html/man3/SSL_alert_type_string.html
@@ -3289,8 +3309,18 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man3/X509_EXTENSION_set_critical.html
 #usr/share/doc/openssl/html/man3/X509_EXTENSION_set_data.html
 #usr/share/doc/openssl/html/man3/X509_EXTENSION_set_object.html
+#usr/share/doc/openssl/html/man3/X509_LOOKUP.html
+#usr/share/doc/openssl/html/man3/X509_LOOKUP_METHOD.html
+#usr/share/doc/openssl/html/man3/X509_LOOKUP_TYPE.html
+#usr/share/doc/openssl/html/man3/X509_LOOKUP_add_dir.html
+#usr/share/doc/openssl/html/man3/X509_LOOKUP_by_alias.html
+#usr/share/doc/openssl/html/man3/X509_LOOKUP_by_fingerprint.html
+#usr/share/doc/openssl/html/man3/X509_LOOKUP_by_issuer_serial.html
+#usr/share/doc/openssl/html/man3/X509_LOOKUP_by_subject.html
+#usr/share/doc/openssl/html/man3/X509_LOOKUP_ctrl.html
 #usr/share/doc/openssl/html/man3/X509_LOOKUP_ctrl_fn.html
 #usr/share/doc/openssl/html/man3/X509_LOOKUP_file.html
+#usr/share/doc/openssl/html/man3/X509_LOOKUP_free.html
 #usr/share/doc/openssl/html/man3/X509_LOOKUP_get_by_alias_fn.html
 #usr/share/doc/openssl/html/man3/X509_LOOKUP_get_by_fingerprint_fn.html
 #usr/share/doc/openssl/html/man3/X509_LOOKUP_get_by_issuer_serial_fn.html
@@ -3298,6 +3328,8 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man3/X509_LOOKUP_get_method_data.html
 #usr/share/doc/openssl/html/man3/X509_LOOKUP_get_store.html
 #usr/share/doc/openssl/html/man3/X509_LOOKUP_hash_dir.html
+#usr/share/doc/openssl/html/man3/X509_LOOKUP_init.html
+#usr/share/doc/openssl/html/man3/X509_LOOKUP_load_file.html
 #usr/share/doc/openssl/html/man3/X509_LOOKUP_meth_free.html
 #usr/share/doc/openssl/html/man3/X509_LOOKUP_meth_get_ctrl.html
 #usr/share/doc/openssl/html/man3/X509_LOOKUP_meth_get_free.html
@@ -3318,7 +3350,9 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man3/X509_LOOKUP_meth_set_init.html
 #usr/share/doc/openssl/html/man3/X509_LOOKUP_meth_set_new_item.html
 #usr/share/doc/openssl/html/man3/X509_LOOKUP_meth_set_shutdown.html
+#usr/share/doc/openssl/html/man3/X509_LOOKUP_new.html
 #usr/share/doc/openssl/html/man3/X509_LOOKUP_set_method_data.html
+#usr/share/doc/openssl/html/man3/X509_LOOKUP_shutdown.html
 #usr/share/doc/openssl/html/man3/X509_NAME_ENTRY_create_by_NID.html
 #usr/share/doc/openssl/html/man3/X509_NAME_ENTRY_create_by_OBJ.html
 #usr/share/doc/openssl/html/man3/X509_NAME_ENTRY_create_by_txt.html
@@ -3402,6 +3436,7 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man3/X509_SIG_get0.html
 #usr/share/doc/openssl/html/man3/X509_SIG_getm.html
 #usr/share/doc/openssl/html/man3/X509_SIG_new.html
+#usr/share/doc/openssl/html/man3/X509_STORE.html
 #usr/share/doc/openssl/html/man3/X509_STORE_CTX_cert_crl_fn.html
 #usr/share/doc/openssl/html/man3/X509_STORE_CTX_check_crl_fn.html
 #usr/share/doc/openssl/html/man3/X509_STORE_CTX_check_issued_fn.html
@@ -3456,6 +3491,7 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man3/X509_STORE_CTX_verify_fn.html
 #usr/share/doc/openssl/html/man3/X509_STORE_add_cert.html
 #usr/share/doc/openssl/html/man3/X509_STORE_add_crl.html
+#usr/share/doc/openssl/html/man3/X509_STORE_add_lookup.html
 #usr/share/doc/openssl/html/man3/X509_STORE_free.html
 #usr/share/doc/openssl/html/man3/X509_STORE_get0_objects.html
 #usr/share/doc/openssl/html/man3/X509_STORE_get0_param.html
@@ -4058,6 +4094,7 @@ usr/lib/libssl.so.1.1
 #usr/share/doc/openssl/html/man7/ossl_store-file.html
 #usr/share/doc/openssl/html/man7/ossl_store.html
 #usr/share/doc/openssl/html/man7/passphrase-encoding.html
+#usr/share/doc/openssl/html/man7/proxy-certificates.html
 #usr/share/doc/openssl/html/man7/scrypt.html
 #usr/share/doc/openssl/html/man7/ssl.html
 #usr/share/doc/openssl/html/man7/x509.html
@@ -4715,6 +4752,7 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man3/CRYPTO_memcmp.3
 #usr/share/man/man3/CRYPTO_new_ex_data.3
 #usr/share/man/man3/CRYPTO_realloc.3
+#usr/share/man/man3/CRYPTO_secure_allocated.3
 #usr/share/man/man3/CRYPTO_secure_clear_free.3
 #usr/share/man/man3/CRYPTO_secure_free.3
 #usr/share/man/man3/CRYPTO_secure_malloc.3
@@ -5288,6 +5326,7 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man3/EVP_DecryptInit.3
 #usr/share/man/man3/EVP_DecryptInit_ex.3
 #usr/share/man/man3/EVP_DecryptUpdate.3
+#usr/share/man/man3/EVP_Digest.3
 #usr/share/man/man3/EVP_DigestFinal.3
 #usr/share/man/man3/EVP_DigestFinalXOF.3
 #usr/share/man/man3/EVP_DigestFinal_ex.3
@@ -5324,13 +5363,17 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man3/EVP_MD_CTX_md.3
 #usr/share/man/man3/EVP_MD_CTX_md_data.3
 #usr/share/man/man3/EVP_MD_CTX_new.3
+#usr/share/man/man3/EVP_MD_CTX_pkey_ctx.3
 #usr/share/man/man3/EVP_MD_CTX_reset.3
 #usr/share/man/man3/EVP_MD_CTX_set_flags.3
 #usr/share/man/man3/EVP_MD_CTX_set_pkey_ctx.3
+#usr/share/man/man3/EVP_MD_CTX_set_update_fn.3
 #usr/share/man/man3/EVP_MD_CTX_size.3
 #usr/share/man/man3/EVP_MD_CTX_test_flags.3
 #usr/share/man/man3/EVP_MD_CTX_type.3
+#usr/share/man/man3/EVP_MD_CTX_update_fn.3
 #usr/share/man/man3/EVP_MD_block_size.3
+#usr/share/man/man3/EVP_MD_flags.3
 #usr/share/man/man3/EVP_MD_meth_dup.3
 #usr/share/man/man3/EVP_MD_meth_free.3
 #usr/share/man/man3/EVP_MD_meth_get_app_datasize.3
@@ -5417,6 +5460,8 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man3/EVP_PKEY_CTX_set_dh_rfc5114.3
 #usr/share/man/man3/EVP_PKEY_CTX_set_dhx_rfc5114.3
 #usr/share/man/man3/EVP_PKEY_CTX_set_dsa_paramgen_bits.3
+#usr/share/man/man3/EVP_PKEY_CTX_set_dsa_paramgen_md.3
+#usr/share/man/man3/EVP_PKEY_CTX_set_dsa_paramgen_q_bits.3
 #usr/share/man/man3/EVP_PKEY_CTX_set_ec_param_enc.3
 #usr/share/man/man3/EVP_PKEY_CTX_set_ec_paramgen_curve_nid.3
 #usr/share/man/man3/EVP_PKEY_CTX_set_ecdh_cofactor_mode.3
@@ -5474,6 +5519,7 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man3/EVP_PKEY_assign_RSA.3
 #usr/share/man/man3/EVP_PKEY_assign_SIPHASH.3
 #usr/share/man/man3/EVP_PKEY_base_id.3
+#usr/share/man/man3/EVP_PKEY_bits.3
 #usr/share/man/man3/EVP_PKEY_check.3
 #usr/share/man/man3/EVP_PKEY_cmp.3
 #usr/share/man/man3/EVP_PKEY_cmp_parameters.3
@@ -5520,6 +5566,8 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man3/EVP_PKEY_meth_get_decrypt.3
 #usr/share/man/man3/EVP_PKEY_meth_get_derive.3
 #usr/share/man/man3/EVP_PKEY_meth_get_digest_custom.3
+#usr/share/man/man3/EVP_PKEY_meth_get_digestsign.3
+#usr/share/man/man3/EVP_PKEY_meth_get_digestverify.3
 #usr/share/man/man3/EVP_PKEY_meth_get_encrypt.3
 #usr/share/man/man3/EVP_PKEY_meth_get_init.3
 #usr/share/man/man3/EVP_PKEY_meth_get_keygen.3
@@ -5540,6 +5588,8 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man3/EVP_PKEY_meth_set_decrypt.3
 #usr/share/man/man3/EVP_PKEY_meth_set_derive.3
 #usr/share/man/man3/EVP_PKEY_meth_set_digest_custom.3
+#usr/share/man/man3/EVP_PKEY_meth_set_digestsign.3
+#usr/share/man/man3/EVP_PKEY_meth_set_digestverify.3
 #usr/share/man/man3/EVP_PKEY_meth_set_encrypt.3
 #usr/share/man/man3/EVP_PKEY_meth_set_init.3
 #usr/share/man/man3/EVP_PKEY_meth_set_keygen.3
@@ -6137,6 +6187,7 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man3/PEM_read_bio_PKCS8.3
 #usr/share/man/man3/PEM_read_bio_PKCS8_PRIV_KEY_INFO.3
 #usr/share/man/man3/PEM_read_bio_PUBKEY.3
+#usr/share/man/man3/PEM_read_bio_Parameters.3
 #usr/share/man/man3/PEM_read_bio_PrivateKey.3
 #usr/share/man/man3/PEM_read_bio_RSAPrivateKey.3
 #usr/share/man/man3/PEM_read_bio_RSAPublicKey.3
@@ -6193,6 +6244,7 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man3/PEM_write_bio_PKCS8PrivateKey_nid.3
 #usr/share/man/man3/PEM_write_bio_PKCS8_PRIV_KEY_INFO.3
 #usr/share/man/man3/PEM_write_bio_PUBKEY.3
+#usr/share/man/man3/PEM_write_bio_Parameters.3
 #usr/share/man/man3/PEM_write_bio_PrivateKey.3
 #usr/share/man/man3/PEM_write_bio_PrivateKey_traditional.3
 #usr/share/man/man3/PEM_write_bio_RSAPrivateKey.3
@@ -6359,6 +6411,7 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man3/RSA_get0_multi_prime_factors.3
 #usr/share/man/man3/RSA_get0_n.3
 #usr/share/man/man3/RSA_get0_p.3
+#usr/share/man/man3/RSA_get0_pss_params.3
 #usr/share/man/man3/RSA_get0_q.3
 #usr/share/man/man3/RSA_get_default_method.3
 #usr/share/man/man3/RSA_get_ex_data.3
@@ -6639,6 +6692,8 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man3/SSL_CTX_set_client_CA_list.3
 #usr/share/man/man3/SSL_CTX_set_client_cert_cb.3
 #usr/share/man/man3/SSL_CTX_set_client_hello_cb.3
+#usr/share/man/man3/SSL_CTX_set_cookie_generate_cb.3
+#usr/share/man/man3/SSL_CTX_set_cookie_verify_cb.3
 #usr/share/man/man3/SSL_CTX_set_ct_validation_callback.3
 #usr/share/man/man3/SSL_CTX_set_ctlog_list_file.3
 #usr/share/man/man3/SSL_CTX_set_current_cert.3
@@ -6758,6 +6813,8 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man3/SSL_add1_host.3
 #usr/share/man/man3/SSL_add1_to_CA_list.3
 #usr/share/man/man3/SSL_add_client_CA.3
+#usr/share/man/man3/SSL_add_dir_cert_subjects_to_stack.3
+#usr/share/man/man3/SSL_add_file_cert_subjects_to_stack.3
 #usr/share/man/man3/SSL_alert_desc_string.3
 #usr/share/man/man3/SSL_alert_desc_string_long.3
 #usr/share/man/man3/SSL_alert_type_string.3
@@ -7216,8 +7273,18 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man3/X509_EXTENSION_set_critical.3
 #usr/share/man/man3/X509_EXTENSION_set_data.3
 #usr/share/man/man3/X509_EXTENSION_set_object.3
+#usr/share/man/man3/X509_LOOKUP.3
+#usr/share/man/man3/X509_LOOKUP_METHOD.3
+#usr/share/man/man3/X509_LOOKUP_TYPE.3
+#usr/share/man/man3/X509_LOOKUP_add_dir.3
+#usr/share/man/man3/X509_LOOKUP_by_alias.3
+#usr/share/man/man3/X509_LOOKUP_by_fingerprint.3
+#usr/share/man/man3/X509_LOOKUP_by_issuer_serial.3
+#usr/share/man/man3/X509_LOOKUP_by_subject.3
+#usr/share/man/man3/X509_LOOKUP_ctrl.3
 #usr/share/man/man3/X509_LOOKUP_ctrl_fn.3
 #usr/share/man/man3/X509_LOOKUP_file.3
+#usr/share/man/man3/X509_LOOKUP_free.3
 #usr/share/man/man3/X509_LOOKUP_get_by_alias_fn.3
 #usr/share/man/man3/X509_LOOKUP_get_by_fingerprint_fn.3
 #usr/share/man/man3/X509_LOOKUP_get_by_issuer_serial_fn.3
@@ -7225,6 +7292,8 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man3/X509_LOOKUP_get_method_data.3
 #usr/share/man/man3/X509_LOOKUP_get_store.3
 #usr/share/man/man3/X509_LOOKUP_hash_dir.3
+#usr/share/man/man3/X509_LOOKUP_init.3
+#usr/share/man/man3/X509_LOOKUP_load_file.3
 #usr/share/man/man3/X509_LOOKUP_meth_free.3
 #usr/share/man/man3/X509_LOOKUP_meth_get_ctrl.3
 #usr/share/man/man3/X509_LOOKUP_meth_get_free.3
@@ -7245,7 +7314,9 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man3/X509_LOOKUP_meth_set_init.3
 #usr/share/man/man3/X509_LOOKUP_meth_set_new_item.3
 #usr/share/man/man3/X509_LOOKUP_meth_set_shutdown.3
+#usr/share/man/man3/X509_LOOKUP_new.3
 #usr/share/man/man3/X509_LOOKUP_set_method_data.3
+#usr/share/man/man3/X509_LOOKUP_shutdown.3
 #usr/share/man/man3/X509_NAME_ENTRY_create_by_NID.3
 #usr/share/man/man3/X509_NAME_ENTRY_create_by_OBJ.3
 #usr/share/man/man3/X509_NAME_ENTRY_create_by_txt.3
@@ -7329,6 +7400,7 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man3/X509_SIG_get0.3
 #usr/share/man/man3/X509_SIG_getm.3
 #usr/share/man/man3/X509_SIG_new.3
+#usr/share/man/man3/X509_STORE.3
 #usr/share/man/man3/X509_STORE_CTX_cert_crl_fn.3
 #usr/share/man/man3/X509_STORE_CTX_check_crl_fn.3
 #usr/share/man/man3/X509_STORE_CTX_check_issued_fn.3
@@ -7383,6 +7455,7 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man3/X509_STORE_CTX_verify_fn.3
 #usr/share/man/man3/X509_STORE_add_cert.3
 #usr/share/man/man3/X509_STORE_add_crl.3
+#usr/share/man/man3/X509_STORE_add_lookup.3
 #usr/share/man/man3/X509_STORE_free.3
 #usr/share/man/man3/X509_STORE_get0_objects.3
 #usr/share/man/man3/X509_STORE_get0_param.3
@@ -7983,6 +8056,7 @@ usr/lib/libssl.so.1.1
 #usr/share/man/man7/ossl_store-file.7
 #usr/share/man/man7/ossl_store.7
 #usr/share/man/man7/passphrase-encoding.7
+#usr/share/man/man7/proxy-certificates.7
 #usr/share/man/man7/scrypt.7
 #usr/share/man/man7/ssl.7
 #usr/share/man/man7/x509.7
diff --git a/lfs/openssl b/lfs/openssl
index 8d978f171..c46e0d53f 100644
--- a/lfs/openssl
+++ b/lfs/openssl
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 1.1.1d
+VER        = 1.1.1e
 
 THISAPP    = openssl-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -87,7 +87,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 3be209000dbc7e1b95bcdf47980a3baa
+$(DL_FILE)_MD5 = baeff2a64d2f3d7e0a69b677c9977b57
 
 install : $(TARGET)
 